itpp::Rayleigh_RNG Class Reference
Base Module » Random Number Generation

Rayleigh distribution. More...

`#include <itpp/base/random.h>`

## Public Member Functions

| Rayleigh_RNG (double sigma=1.0)
| Constructor. Set sigma.
void | setup (double sigma)
| Set sigma.
double | get_setup ()
| Get sigma.
double | operator() ()
| Get one sample.
vec | operator() (int n)
| Get a sample vector.
mat | operator() (int h, int w)
| Get a sample matrix.

## Detailed Description

Rayleigh distribution.

Definition at line 733 of file random.h.

The documentation for this class was generated from the following files:

- itpp/base/random.h
- itpp/base/random.cpp

Generated on Thu Aug 20 2015 21:02:53 for IT++ by Doxygen 1.8.9.1